
pfSense - Bug #6702

Command Prompt  syntax error and crash detection report

08/13/2016 05:25 PM - Jeremy C. Reed

Status: Resolved Start date: 08/13/2016

Priority: Normal Due date:  

Assignee: Jim Pingle % Done: 100%

Category: Web Interface Estimated time: 0.00 hour

Target version: 2.3.3   

Plus Target Version:  Affected Version: All

Release Notes:  Affected

Architecture:

All

Description

syntax error in the PHP execution in Command Prompt menu

should not cause a crash detection to suggest reporting to pfSense

(My list of bugs is at http://reedmedia.net/books/pfsense/bugs-20160813.html )

Associated revisions

Revision 45bcbee9 - 12/16/2016 02:20 PM - Jim Pingle

Suppress error logging for Diag > Command Prompt so an error in user-entered code doesn't offer to submit a crash report. A notice is still generated

since PHP <7 doesn't yet have error_clear_last(). Fixes #6702

Revision fb2f904c - 12/16/2016 02:23 PM - Jim Pingle

Suppress error logging for Diag > Command Prompt so an error in user-entered code doesn't offer to submit a crash report. A notice is still generated

since PHP <7 doesn't yet have error_clear_last(). Fixes #6702

Revision d1aa3bba - 12/16/2016 02:23 PM - Jim Pingle

Suppress error logging for Diag > Command Prompt so an error in user-entered code doesn't offer to submit a crash report. A notice is still generated

since PHP <7 doesn't yet have error_clear_last(). Fixes #6702

History

#1 - 08/21/2016 07:03 PM - Jim Thompson

- Status changed from New to Feedback

this needs more detail.

#2 - 12/16/2016 05:16 AM - Kill Bill

Well I think what was meant here is that pasting random potentially broken junk to Diagnostics - Command Prompt for testing should not offer to

submit the resulting crash to you, b/c putting broken code there is no bug to investigate in the first place. Not sure how doable it is.

#3 - 12/16/2016 08:28 AM - Jim Pingle

- Project changed from pfSense Packages to pfSense

- Category set to Web Interface

- Assignee set to Jim Pingle

- Target version set to 2.4.0

- Affected Version set to All

- Affected Architecture All added

- Affected Architecture deleted ()

Pushed a small change so that it will at least not offer to submit a crash report.

#4 - 12/16/2016 08:30 AM - Jim Pingle

- % Done changed from 0 to 100
Applied in changeset 45bcbee917920238248a2486a2742e3ff327b309.

#5 - 12/16/2016 08:48 AM - Kill Bill

Yup, works. (As for the error being shown in "PHP Response", I think that's OK and should actually stay, it's useful.)

#6 - 12/16/2016 09:06 AM - Jim Pingle

- Status changed from Feedback to Resolved

Yeah that's part is good to stay, what still annoys me is that you get a notice from it (alert bell, e-mail notification, etc).

But the way we hook in the part to generate notices from PHP there isn't a good way to bypass that yet in PHP without ugly hackery.

#7 - 02/10/2017 10:51 AM - Jim Pingle

- Target version changed from 2.4.0 to 2.3.3
